
use strict;
use warnings;

use 5.008009;

use ExtUtils::MakeMaker 6.30;



my %WriteMakefileArgs = (
  "ABSTRACT" => "Perl bindings for Reg.ru API v2",
  "AUTHOR" => "Polina Shubina <shubina\@reg.ru>, Anton Gerasimov <a.gerasimov\@reg.ru>",
  "BUILD_REQUIRES" => {},
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.30"
  },
  "DISTNAME" => "Regru-API",
  "EXE_FILES" => [],
  "LICENSE" => "perl",
  "NAME" => "Regru::API",
  "PREREQ_PM" => {
    "Carp" => 0,
    "Class::Load" => 0,
    "Data::Dumper" => 0,
    "JSON" => 0,
    "LWP::Protocol::https" => 0,
    "LWP::UserAgent" => 0,
    "Moo" => 0,
    "Moose" => 0,
    "Try::Tiny" => 0,
    "namespace::autoclean" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "File::Spec" => 0,
    "File::Temp" => 0,
    "HTTP::Date" => "6.02",
    "HTTP::Response" => "6.04",
    "IO::Handle" => 0,
    "IPC::Open3" => 0,
    "Net::Ping" => "2.38",
    "Test::Fatal" => "0.010",
    "Test::More" => "0.98",
    "Test::Pod" => "1.22",
    "Test::Warnings" => "0.010",
    "URI" => "1.60"
  },
  "VERSION" => "0.043",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Carp" => 0,
  "Class::Load" => 0,
  "Data::Dumper" => 0,
  "File::Spec" => 0,
  "File::Temp" => 0,
  "HTTP::Date" => "6.02",
  "HTTP::Response" => "6.04",
  "IO::Handle" => 0,
  "IPC::Open3" => 0,
  "JSON" => 0,
  "LWP::Protocol::https" => 0,
  "LWP::UserAgent" => 0,
  "Moo" => 0,
  "Moose" => 0,
  "Net::Ping" => "2.38",
  "Test::Fatal" => "0.010",
  "Test::More" => "0.98",
  "Test::Pod" => "1.22",
  "Test::Warnings" => "0.010",
  "Try::Tiny" => 0,
  "URI" => "1.60",
  "namespace::autoclean" => 0,
  "strict" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);



